# $Revision: 1.2 $, $Date: 2002/09/14 22:24:32 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Inline
%define		pname	Tcl
Summary:	Inline::Tcl Perl module
Summary(cs):	Modul Inline::Tcl pro Perl
Summary(da):	Perlmodul Inline::Tcl
Summary(de):	Inline::Tcl Perl Modul
Summary(es):	Mdulo de Perl Inline::Tcl
Summary(fr):	Module Perl Inline::Tcl
Summary(it):	Modulo di Perl Inline::Tcl
Summary(ja):	Inline::Tcl Perl ⥸塼
Summary(ko):	Inline::Tcl  
Summary(no):	Perlmodul Inline::Tcl
Summary(pl):	Modu Perla Inline::Tcl
Summary(pt):	Mdulo de Perl Inline::Tcl
Summary(pt_BR):	Mdulo Perl Inline::Tcl
Summary(ru):	  Perl Inline::Tcl
Summary(sv):	Inline::Tcl Perlmodul
Summary(uk):	  Perl Inline::Tcl
Summary(zh_CN):	Inline::Tcl Perl ģ
Name:		perl-Inline-Tcl
Version:	0.09
Release:	2
License:	Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pname}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Inline >= 0.40
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	tcl-devel >= 8.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inline::Tcl - Write Perl subroutines in Tcl.

%description -l pl
Modu Inline::Tcl - pozwalajcy na pisanie procedur Perla w Tcl-u.

%prep
%setup -q -n %{pdir}-%{pname}-%{version}

%build
perl Makefile.PL </dev/null
%{__make} OPTIMIZE="%{rpmcflags}"
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Bugs Changes README
%{perl_sitearch}/Inline/Tcl.pm
%dir %{perl_sitearch}/auto/Inline/Tcl
%{perl_sitearch}/auto/Inline/Tcl/Tcl.bs
%attr(755,root,root) %{perl_sitearch}/auto/Inline/Tcl/Tcl.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Inline-Tcl.spec,v $
Revision 1.2  2002/09/14 22:24:32  ankry
- added tests, translations
- added %%{rpmcflags} for compiler, release 2

Revision 1.1  2002/07/13 11:46:07  qboosh
- new
